#include "dk.h"

cache_onoff(int onoff)
{
    int ret;
    struct scsi_msc msc;
    struct scsi_ms ms;

    ret = ioctl(dkfd, DKIOCSMODESENSE,&ms);
    if (ret < 0) {
	fprintf(stderr, "%s %s", disk, comp->c_name);
	perror(" failed ");
	exit(2);
    }
    msc.sms_hd = ms.sms_hd;    /* initialise msc from ms */
    msc.sms_rac = ms.sms_rac;
    msc.sms_rac.rac_suppr = onoff ? 0xFF:0xFFFF ;
    ret = ioctl(dkfd, DKIOCSMODESELECT,&msc);
    if (ret < 0) {
	    fprintf(stderr, "%s %s", disk, comp->c_name);
	    perror(" failed ");
	    exit(2);
    }
    ret = ioctl(dkfd, DKIOCSMODESENSE,&ms);
    if (ret < 0) {
        fprintf(stderr, "%s %s", disk, comp->c_name);
        perror(" failed ");
        exit(2);
    }
    printf(" Mode sense AFTER mode select \n");
    print_msracache(&ms.sms_rac);
}
