#ifndef	_MACHTYPES_H_
#define	_MACHTYPES_H_

/*
 * Types which are fundamental to the implementation and may appear in
 * more than one standard header are defined here.  Standard headers
 * then use:
 *	#ifdef	_SIZE_T_
 *	typedef	_SIZE_T_ size_t;
 *	#undef	_SIZE_T_
 *	#endif
 *
 * Thanks, ANSI!
 */
#ifndef	_CLOCK_T_
#define	_CLOCK_T_	unsigned long		/* clock() */
#endif

#ifndef	_TIME_T_
#define	_TIME_T_	long			/* time() */
#endif

#ifndef	_SIZE_T_
#ifdef	__GNUC__
#define	_SIZE_T_	__SIZE_TYPE__		/* sizeof() */
#else
#define	_SIZE_T_	unsigned int		/* sizeof() */
#endif
#endif

#ifndef	_WCHAR_T_
#ifdef	__GNUC__
#define	_WCHAR_T_	__WCHAR_TYPE__		/* wchar_t */
#else
#define	_WCHAR_T_	unsigned short		/* wchar_t */
#endif
#endif

#ifndef	__GNUC__	/* gcc really doesn't want these */

#ifndef	_VA_LIST_
#define	_VA_LIST_	char *			/* va_list */
#endif
#if !defined(_PTRDIFF_T_) && !defined(IN_GCC)
#define	_PTRDIFF_T_	int			/* ptr1 - ptr2 */
#endif
#endif /* __GNUC__ */

#define _BSD_VA_LIST_	char *			/* va_list */
#define _BSD_DUMMY_VA_LIST_	_BSD_VA_LIST_	/* damn gcc fixincludes! */
#define _BSD_TIME_T_	long			/* time() */ 

#ifndef	_BSD_SIZE_T_
#ifdef	__GNUC__
#define	_BSD_SIZE_T_	__SIZE_TYPE__		/* sizeof() */
#else
#define	_BSD_SIZE_T_	unsigned int		/* sizeof() */
#endif
#endif

#ifndef	_BSD_WCHAR_T_
#ifdef	__GNUC__
#define	_BSD_WCHAR_T_	__WCHAR_TYPE__		/* wchar_t */
#else
#define	_BSD_WCHAR_T_	unsigned short		/* wchar_t */
#endif
#endif

#define _BSD_RUNE_T_	_BSD_WCHAR_T_		/* rune_t */

#if !defined(_ANSI_SOURCE) && !defined(_POSIX_SOURCE)
typedef struct _physadr {
	int r[1];
} *physadr;
typedef struct label_t {
	int val[11];
} label_t;
#endif
#endif	/* _MACHTYPES_H_ */
