/*
 * Copyright (c) 1983 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 */

#if defined(LIBC_SCCS) && !defined(lint)
static char sccsid[] = "@(#)seekdir.c	1.3 90/07/20 4.1NFSSRC; from	5.2 (Berkeley) 3/9/86";
#endif LIBC_SCCS and not lint

#include <sys/param.h>
#include <dirent.h>

/*
 * seek to an entry in a directory.
 * Only values returned by "telldir" should be passed to seekdir.
 */
void
seekdir(dirp, tell)
	register DIR *dirp;
	register long tell;
{
	extern long lseek();
	long curloc;

	curloc = telldir(dirp);
	if (curloc == tell)
		return;
        dirp->dd_loc = 0;
        (void) lseek(dirp->dd_fd, tell, 0);
        dirp->dd_size = 0;
        dirp->dd_off = tell;
}

#undef	rewinddir(dirp)

void
rewinddir(dirp)
	DIR *dirp;
{
	seekdir(dirp->dd_fd, 0);
}
