/*	@(#)netcvt.h 1.11 91/01/15 SMI	*/

/*
 * netcvt.h
 * Includes the network conversion macros
 *
 * Copyright (C) 1988, Sun Microsystems, Inc.
 */
#ifndef _RPC_NETCVT_H
#define _RPC_NETCVT_H

#if !defined(vax) && !defined(ntohl) && !defined(lint) && !defined(i386)
/*
 * Macros for number representation conversion.
 */
#define	ntohl(x)	(x)
#define	ntohs(x)	(x)
#define	htonl(x)	(x)
#define	htons(x)	(x)
#endif

#if !defined(ntohl) && (defined(vax) || defined(lint) || defined(i386))
#ifdef __cplusplus
extern "C" u_short ntohs (u_short);
extern "C" u_short htons (u_short);
extern "C" u_long ntohl (u_long);
extern "C" u_long htonl (u_long);
#elif (__STDC__ || c_plusplus)
u_short ntohs (u_short);
u_short htons (u_short);
u_long ntohl (u_long);
u_long htonl (u_long);
#else
u_short ntohs ();
u_short htons ();
u_long ntohl ();
u_long htonl ();
#endif
#endif

#endif /* _RPC_NETCVT_H */
