/*	@(#)pmap_rmt.h 1.15 91/01/15 SMI	*/

/*
 * Structures and XDR routines for parameters to and replies from
 * the portmapper remote-call-service.
 *
 * Copyright (C) 1986, Sun Microsystems, Inc.
 */

#ifndef _RPC_PMAPRMT_H
#define _RPC_PMAPRMT_H

struct rmtcallargs {
	u_long prog, vers, proc, arglen;
	caddr_t args_ptr;
	xdrproc_t xdr_args;
};

#ifdef __cplusplus
extern "C" bool_t xdr_rmtcall_args (XDR *, struct rmtcallargs *);
#elif (__STDC || c_plusplus)
bool_t xdr_rmtcall_args (XDR *, struct rmtcallargs *);
#else
bool_t xdr_rmtcall_args ();
#endif

struct rmtcallres {
	u_long *port_ptr;
	u_long resultslen;
	caddr_t results_ptr;
	xdrproc_t xdr_results;
};

#ifdef __cplusplus
extern "C" bool_t xdr_rmtcallres (XDR *, struct rmtcallres *);
#elif (__STDC__ || c_plusplus)
bool_t xdr_rmtcallres (XDR *, struct rmtcallres *);
#else
bool_t xdr_rmtcallres ();
#endif

#endif /*!_RPC_PMAPRMT_H*/
