/* @(#)rac.h	1.8 91/01/15 SMI */

/*
 * rac.h, Copyright (C) 1990, Sun Microsystems, Inc.
 */

#ifdef __cplusplus
extern "C" void rac_drop (CLIENT *, void * /* CLIENT *cl; void *h; */);
extern "C" enum clnt_stat	rac_poll (CLIENT *, void * /* CLIENT *cl; void *h; */);
extern "C" enum clnt_stat	rac_recv (CLIENT *, void * /* CLIENT *cl; void *h; */);
extern "C" void *rac_send (CLIENT *, unsigned long, xdrproc_t, void *, xdrproc_t, void *, struct timeval /* CLIENT *cl; unsigned long proc; xdrproc_t xargs; void *argsp; xdrproc_t xresults; void *resultsp; struct timeval timeout; */);
#elif (__STDC__ || c_plusplus)
void rac_drop (CLIENT *, void * /* CLIENT *cl; void *h; */);
enum clnt_stat	rac_poll (CLIENT *, void * /* CLIENT *cl; void *h; */);
enum clnt_stat	rac_recv (CLIENT *, void * /* CLIENT *cl; void *h; */);
void *rac_send (CLIENT *, unsigned long, xdrproc_t, void *, xdrproc_t, void *, struct timeval /* CLIENT *cl; unsigned long proc; xdrproc_t xargs; void *argsp; xdrproc_t xresults; void *resultsp; struct timeval timeout; */);
#else
void rac_drop ();
enum clnt_stat	rac_poll ();
enum clnt_stat	rac_recv ();
void *rac_send ();
#endif

/*
 *	If a rac_send fails, it returns (void *) 0.  The reason for failure
 *	is cached here.
 *	N.B.:  this is a global structure.
 */
struct rpc_err	rac_senderr;
