/*	@(#)rpcent.h 1.12 91/01/15 SMI	*/

/*
 * rpcent.h,
 * For converting rpc program numbers to names etc.
 *
 * Copyright (C) 1984, Sun Microsystems, Inc.
 */

#ifndef sun 

struct rpcent {
	char	*r_name;	/* name of server for this rpc program */
	char	**r_aliases;	/* alias list */
	int	r_number;	/* rpc program number */
};

#ifdef __cplusplus
extern "C" struct rpcent *getrpcbyname (char *);
extern "C" struct rpcent *getrpcbynumber (int);
extern "C" struct rpcent *getrpcent ();
extern "C" int setrpcent (int);
extern "C" void endrpcent ();
#elif c_plusplus
extern struct rpcent *getrpcbyname (char *);
extern struct rpcent *getrpcbynumber (int);
extern struct rpcent *getrpcent ();
extern int setrpcent (int);
extern void endrpcent ();
#elif __STDC__
extern struct rpcent *getrpcbyname (char *);
extern struct rpcent *getrpcbynumber (int);
extern struct rpcent *getrpcent (void);
extern int setrpcent (int);
extern void endrpcent (void);
#else
extern struct rpcent *getrpcbyname ();
extern struct rpcent *getrpcbynumber ();
extern struct rpcent *getrpcent ();
extern int setrpcent ();
extern void endrpcent ();
#endif

#else

#include <netdb.h>

#endif /* sun */
