/*      @(#)types.h 1.34 90/11/15 SMI      */

/*
 * Rpc additions to <sys/types.h>
 */
#ifndef _RPC_TYPES_H
#define _RPC_TYPES_H

#include <sys/types.h>

#define	bool_t	int
#define	enum_t	int
#define __dontcare__	-1

#ifndef FALSE
#	define	FALSE	(0)
#endif

#ifndef TRUE
#	define	TRUE	(1)
#endif

#ifndef NULL
#	define NULL 0
#endif

#define mem_alloc(bsize)	malloc(bsize)
#define mem_free(ptr, bsize)	free(ptr)

#ifdef _NSL_RPC_ABI
#define select()	_abi_select()
#define gettimeofday()	_abi_gettimeofday()
#define syslog()	_abi_syslog()
#define getgrent()	_abi_getgrent()
#define endgrent()	_abi_endgrent()
#define setgrent()	_abi_setgrent()
#endif

#include <sys/time.h>

#endif	/* _RPC_TYPES_H */
