#ifndef Thread_h
#define Thread_h
/************************************************************************/
/* */
/* Definition of class Thread, subclass of Object.                     */
/* */
/* */
/************************************************************************/

typedef struct rpc_err rpc_err;
typedef struct rpc_createerr rpc_createrr;

typedef struct Thread
{
    short    active;		/* thread is active if 1, inactive if 0 */
    int	     pid;		/* pid of owner of this thread */
    TEP      teps[XTI_NOFILE];	/* Transport Endpoint Array */
}  Thread;

#ifdef FORWARD
#undef FORWARD
#endif

#ifdef Thread_c
#define FORWARD
#else
#define FORWARD extern
#endif

FORWARD Thread *addr_Thread();
FORWARD Thread *init_Thread();
FORWARD Thread *alloc_Thread();

#endif
