/*
 * WARNING: this file contains 8-bit data, edit *only* with an 8-bit clean
 *          editor!
 */

/*
 * Declaration of the font table used by the apa8 and apa8c console driver.
 *
 * $Source: /usr/src/sys.44l/rt.build/dev/RCS/apa8_font.h,v $
 * $Revision: 1.1 $ $Date: 1994/10/23 20:09:29 $
 * $Author: md $ $State: Exp $
 *
 * $Log: apa8_font.h,v $
 * Revision 1.1  1994/10/23  20:09:29  md
 * Initial revision
 *
 *
 */

/*
 * The font index is used to map ascii characters to their appropriate
 * bitmap (ie. address) in the apa8_bitmaps array.
 */
const unsigned short apa8_fontindex[] = {
	0x000, /* char = ^@ (0x00) */
	0x000, /* char = ^A (0x01) */
	0x000, /* char = ^B (0x02) */
	0x000, /* char = ^C (0x03) */
	0x000, /* char = ^D (0x04) */
	0x000, /* char = ^E (0x05) */
	0x000, /* char = ^F (0x06) */
	0x000, /* char = ^G (0x07) */
	0x000, /* char = ^H (0x08) */
	0x000, /* char = ^I (0x09) */
	0x000, /* char = ^J (0x0a) */
	0x000, /* char = ^K (0x0b) */
	0x000, /* char = ^L (0x0c) */
	0x000, /* char = ^M (0x0d) */
	0x000, /* char = ^N (0x0e) */
	0x000, /* char = ^O (0x0f) */
	0x000, /* char = ^P (0x10) */
	0x000, /* char = ^Q (0x11) */
	0x000, /* char = ^R (0x12) */
	0x000, /* char = ^S (0x13) */
	0x000, /* char = ^T (0x14) */
	0x000, /* char = ^U (0x15) */
	0x000, /* char = ^V (0x16) */
	0x000, /* char = ^W (0x17) */
	0x000, /* char = ^X (0x18) */
	0x000, /* char = ^Y (0x19) */
	0x000, /* char = ^Z (0x1a) */
	0x000, /* char = ^[ (0x1b) */
	0x000, /* char = ^\ (0x1c) */
	0x000, /* char = ^] (0x1d) */
	0x000, /* char = ^^ (0x1e) */
	0x000, /* char = ^  (0x1f) */
	0x020, /* char =   (0x20)*/
	0x030, /* char = ! (0x21)*/
	0x040, /* char = " (0x22)*/
	0x050, /* char = # (0x23)*/
	0x060, /* char = $ (0x24)*/
	0x070, /* char = % (0x25)*/
	0x080, /* char = & (0x26)*/
	0x090, /* char = ' (0x27)*/
	0x0a0, /* char = ( (0x28)*/
	0x0b0, /* char = ) (0x29)*/
	0x0c0, /* char = * (0x2a)*/
	0x0d0, /* char = + (0x2b)*/
	0x0e0, /* char = , (0x2c)*/
	0x0f0, /* char = - (0x2d)*/
	0x100, /* char = . (0x2e)*/
	0x110, /* char = / (0x2f)*/
	0x120, /* char = 0 (0x30)*/
	0x130, /* char = 1 (0x31)*/
	0x140, /* char = 2 (0x32)*/
	0x150, /* char = 3 (0x33)*/
	0x160, /* char = 4 (0x34)*/
	0x170, /* char = 5 (0x35)*/
	0x180, /* char = 6 (0x36)*/
	0x190, /* char = 7 (0x37)*/
	0x1a0, /* char = 8 (0x38)*/
	0x1b0, /* char = 9 (0x39)*/
	0x1c0, /* char = : (0x3a)*/
	0x1d0, /* char = ; (0x3b)*/
	0x1e0, /* char = < (0x3c)*/
	0x1f0, /* char = = (0x3d)*/
	0x200, /* char = > (0x3e)*/
	0x210, /* char = ? (0x3f)*/
	0x220, /* char = @ (0x40)*/
	0x230, /* char = A (0x41)*/
	0x240, /* char = B (0x42)*/
	0x250, /* char = C (0x43)*/
	0x260, /* char = D (0x44)*/
	0x270, /* char = E (0x45)*/
	0x280, /* char = F (0x46)*/
	0x290, /* char = G (0x47)*/
	0x2a0, /* char = H (0x48)*/
	0x2b0, /* char = I (0x49)*/
	0x2c0, /* char = J (0x4a)*/
	0x2d0, /* char = K (0x4b)*/
	0x2e0, /* char = L (0x4c)*/
	0x2f0, /* char = M (0x4d)*/
	0x300, /* char = N (0x4e)*/
	0x310, /* char = O (0x4f)*/
	0x320, /* char = P (0x50)*/
	0x330, /* char = Q (0x51)*/
	0x340, /* char = R (0x52)*/
	0x350, /* char = S (0x53)*/
	0x360, /* char = T (0x54)*/
	0x370, /* char = U (0x55)*/
	0x380, /* char = V (0x56)*/
	0x390, /* char = W (0x57)*/
	0x3a0, /* char = X (0x58)*/
	0x3b0, /* char = Y (0x59)*/
	0x3c0, /* char = Z (0x5a)*/
	0x3d0, /* char = [ (0x5b)*/
	0x3e0, /* char = \ (0x5c)*/
	0x3f0, /* char = ] (0x5d)*/
	0x400, /* char = ^ (0x5e)*/
	0x410, /* char = _ (0x5f)*/
	0x420, /* char = ` (0x60)*/
	0x430, /* char = a (0x61)*/
	0x440, /* char = b (0x62)*/
	0x450, /* char = c (0x63)*/
	0x460, /* char = d (0x64)*/
	0x470, /* char = e (0x65)*/
	0x480, /* char = f (0x66)*/
	0x490, /* char = g (0x67)*/
	0x4a0, /* char = h (0x68)*/
	0x4b0, /* char = i (0x69)*/
	0x4c0, /* char = j (0x6a)*/
	0x4d0, /* char = k (0x6b)*/
	0x4e0, /* char = l (0x6c)*/
	0x4f0, /* char = m (0x6d)*/
	0x500, /* char = n (0x6e)*/
	0x510, /* char = o (0x6f)*/
	0x520, /* char = p (0x70)*/
	0x530, /* char = q (0x71)*/
	0x540, /* char = r (0x72)*/
	0x550, /* char = s (0x73)*/
	0x560, /* char = t (0x74)*/
	0x570, /* char = u (0x75)*/
	0x580, /* char = v (0x76)*/
	0x590, /* char = w (0x77)*/
	0x5a0, /* char = x (0x78)*/
	0x5b0, /* char = y (0x79)*/
	0x5c0, /* char = z (0x7a)*/
	0x5d0, /* char = { (0x7b)*/
	0x5e0, /* char = | (0x7c)*/
	0x5f0, /* char = } (0x7d)*/
	0x600, /* char = ~ (0x7e)*/
	0x000, /* char =  (0x7f) */
	0x000, /* char =  (0x80) */
	0x000, /* char =  (0x81) */
	0x000, /* char =  (0x82) */
	0x000, /* char =  (0x83) */
	0x000, /* char =  (0x84) */
	0x000, /* char =  (0x85) */
	0x000, /* char =  (0x86) */
	0x000, /* char =  (0x87) */
	0x000, /* char =  (0x88) */
	0x000, /* char =  (0x89) */
	0x000, /* char =  (0x8a) */
	0x000, /* char =  (0x8b) */
	0x000, /* char =  (0x8c) */
	0x000, /* char =  (0x8d) */
	0x000, /* char =  (0x8e) */
	0x000, /* char =  (0x8f) */
	0x000, /* char =  (0x90) */
	0x000, /* char =  (0x91) */
	0x000, /* char =  (0x92) */
	0x000, /* char =  (0x93) */
	0x000, /* char =  (0x94) */
	0x000, /* char =  (0x95) */
	0x000, /* char =  (0x96) */
	0x000, /* char =  (0x97) */
	0x000, /* char =  (0x98) */
	0x000, /* char =  (0x99) */
	0x000, /* char =  (0x9a) */
	0x000, /* char =  (0x9b) */
	0x000, /* char =  (0x9c) */
	0x000, /* char =  (0x9d) */
	0x000, /* char =  (0x9e) */
	0x000, /* char =  (0x9f) */
	0x000, /* char =  (0xa0) */
	0x000, /* char =  (0xa1) */
	0x000, /* char =  (0xa2) */
	0x000, /* char =  (0xa3) */
	0x000, /* char =  (0xa4) */
	0x000, /* char =  (0xa5) */
	0x000, /* char =  (0xa6) */
	0x000, /* char =  (0xa7) */
	0x000, /* char =  (0xa8) */
	0x000, /* char =  (0xa9) */
	0x000, /* char =  (0xaa) */
	0x000, /* char =  (0xab) */
	0x000, /* char =  (0xac) */
	0x000, /* char =  (0xad) */
	0x000, /* char =  (0xae) */
	0x000, /* char =  (0xaf) */
	0x000, /* char =  (0xb0) */
	0x000, /* char =  (0xb1) */
	0x000, /* char =  (0xb2) */
	0x000, /* char =  (0xb3) */
	0x000, /* char =  (0xb4) */
	0x000, /* char =  (0xb5) */
	0x000, /* char =  (0xb6) */
	0x000, /* char =  (0xb7) */
	0x000, /* char =  (0xb8) */
	0x000, /* char =  (0xb9) */
	0x000, /* char =  (0xba) */
	0x000, /* char =  (0xbb) */
	0x000, /* char =  (0xbc) */
	0x000, /* char =  (0xbd) */
	0x000, /* char =  (0xbe) */
	0x000, /* char =  (0xbf) */
	0x000, /* char =  (0xc0) */
	0x000, /* char =  (0xc1) */
	0x000, /* char =  (0xc2) */
	0x000, /* char =  (0xc3) */
	0x000, /* char =  (0xc4) */
	0x000, /* char =  (0xc5) */
	0x000, /* char =  (0xc6) */
	0x000, /* char =  (0xc7) */
	0x000, /* char =  (0xc8) */
	0x000, /* char =  (0xc9) */
	0x000, /* char =  (0xca) */
	0x000, /* char =  (0xcb) */
	0x000, /* char =  (0xcc) */
	0x000, /* char =  (0xcd) */
	0x000, /* char =  (0xce) */
	0x000, /* char =  (0xcf) */
	0x000, /* char =  (0xd0) */
	0x000, /* char =  (0xd1) */
	0x000, /* char =  (0xd2) */
	0x000, /* char =  (0xd3) */
	0x000, /* char =  (0xd4) */
	0x000, /* char =  (0xd5) */
	0x000, /* char =  (0xd6) */
	0x000, /* char =  (0xd7) */
	0x000, /* char =  (0xd8) */
	0x000, /* char =  (0xd9) */
	0x000, /* char =  (0xda) */
	0x000, /* char =  (0xdb) */
	0x000, /* char =  (0xdc) */
	0x000, /* char =  (0xdd) */
	0x000, /* char =  (0xde) */
	0x000, /* char =  (0xdf) */
	0x000, /* char =  (0xe0) */
	0x000, /* char =  (0xe1) */
	0x000, /* char =  (0xe2) */
	0x000, /* char =  (0xe3) */
	0x000, /* char =  (0xe4) */
	0x000, /* char =  (0xe5) */
	0x000, /* char =  (0xe6) */
	0x000, /* char =  (0xe7) */
	0x000, /* char =  (0xe8) */
	0x000, /* char =  (0xe9) */
	0x000, /* char =  (0xea) */
	0x000, /* char =  (0xeb) */
	0x000, /* char =  (0xec) */
	0x000, /* char =  (0xed) */
	0x000, /* char =  (0xee) */
	0x000, /* char =  (0xef) */
	0x000, /* char =  (0xf0) */
	0x000, /* char =  (0xf1) */
	0x000, /* char =  (0xf2) */
	0x000, /* char =  (0xf3) */
	0x000, /* char =  (0xf4) */
	0x000, /* char =  (0xf5) */
	0x000, /* char =  (0xf6) */
	0x000, /* char =  (0xf7) */
	0x000, /* char =  (0xf8) */
	0x000, /* char =  (0xf9) */
	0x000, /* char =  (0xfa) */
	0x000, /* char =  (0xfb) */
	0x000, /* char =  (0xfc) */
	0x000, /* char =  (0xfd) */
	0x000, /* char =  (0xfe) */
	0x000, /* char =  (0xff) */
};

/*
 * Bitmap array for all available characters.  Each entry represents an
 * 8x16 font which is indexed by the apa8_fontindex[] table.  If changes
 * are made which alter the order of entries in this table then the
 * apa8_fontindex table must be updated accordingly.
 */
const unsigned char apa8_bitmaps[] = {
/*
 * entry: 0
 * char: grey box 
 */
	0x00, 0x55, 0x2a, 0x55, 0x2a, 0x55, 0x2a, 0x55, 
	0x2a, 0x55, 0x2a, 0x55, 0x2a, 0x55, 0x00, 0x00,
/*
 * entry: 1
 * char:  solid box
 */
	0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00,
/*
 * entry: 2
 * char:  space
 */
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 3
 * char:  !
 */
	0x00, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
	0x18, 0x00, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 4
 * char:  "
 */
	0x00, 0x36, 0x36, 0x36, 0x36, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 5
 * char:  #
 */
	0x00, 0x00, 0x36, 0x36, 0x36, 0x7f, 0x36, 0x6c, 
	0xfe, 0x6c, 0x6c, 0x6c, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 6
 * char:  $
 */
	0x00, 0x08, 0x3e, 0x6b, 0x6b, 0x68, 0x3e, 0x0b, 
	0x6b, 0x6b, 0x3e, 0x08, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 7
 * char:  %
 */
	0x00, 0x33, 0x6b, 0x6e, 0x36, 0x0c, 0x0c, 0x18, 
	0x1e, 0x3d, 0x3d, 0x66, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 8
 * char:  &
 */
	0x00, 0x38, 0x6c, 0x6c, 0x38, 0x78, 0x6c, 0xc5, 
	0xc7, 0xc6, 0x6e, 0x3f, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 9
 * char:  '
 */
	0x00, 0x0c, 0x0c, 0x04, 0x0c, 0x08, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 10
 * char:  (
 */
	0x00, 0x02, 0x06, 0x0c, 0x0c, 0x18, 0x18, 0x18, 
	0x18, 0x18, 0x0c, 0x0c, 0x06, 0x02, 0x00, 0x00,
/*
 * entry: 11
 * char:  )
 */
	0x00, 0x20, 0x30, 0x18, 0x18, 0x0c, 0x0c, 0x0c, 
	0x0c, 0x0c, 0x18, 0x18, 0x30, 0x20, 0x00, 0x00,
/*
 * entry: 12
 * char:  *
 */
	0x00, 0x00, 0x00, 0x18, 0x5a, 0x7e, 0x3c, 0x7e, 
	0x5a, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 13
 * char:  +
 */
	0x00, 0x00, 0x00, 0x18, 0x18, 0x18, 0xff, 0x18, 
	0x18, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 14
 * char:  ,
 */
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x18, 0x18, 0x08, 0x18, 0x10, 0x00,
/*
 * entry: 15
 * char:  -
 */
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 16
 * char:  .
 */
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 17
 * char:  /
 */
	0x00, 0x03, 0x03, 0x06, 0x06, 0x0c, 0x0c, 0x18, 
	0x18, 0x30, 0x30, 0x60, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 18
 * char:  0
 */
	0x00, 0x1c, 0x36, 0x63, 0x63, 0x6b, 0x6b, 0x6b, 
	0x63, 0x63, 0x36, 0x1c, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 19
 * char:  1
 */
	0x00, 0x0c, 0x1c, 0x3c, 0x0c, 0x0c, 0x0c, 0x0c, 
	0x0c, 0x0c, 0x0c, 0x3f, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 20
 * char:  2
 */
	0x00, 0x3c, 0x66, 0x63, 0x03, 0x03, 0x06, 0x0c, 
	0x18, 0x30, 0x63, 0x7f, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 21
 * char:  3
 */
	0x00, 0x1c, 0x36, 0x23, 0x03, 0x06, 0x0e, 0x03, 
	0x03, 0x63, 0x66, 0x3c, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 22
 * char:  4
 */
	0x00, 0x06, 0x0e, 0x0e, 0x1e, 0x16, 0x36, 0x26, 
	0x66, 0x7f, 0x06, 0x06, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 23
 * char:  5
 */
	0x00, 0x7f, 0x63, 0x60, 0x6c, 0x76, 0x63, 0x03, 
	0x03, 0x63, 0x66, 0x3c, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 24
 * char:  6
 */
	0x00, 0x1e, 0x33, 0x63, 0x60, 0x6c, 0x76, 0x63, 
	0x63, 0x63, 0x36, 0x1c, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 25
 * char:  7
 */
	0x00, 0x7f, 0x63, 0x03, 0x06, 0x06, 0x0c, 0x0c, 
	0x18, 0x18, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 26
 * char:  8
 */
	0x00, 0x1c, 0x36, 0x63, 0x63, 0x36, 0x1c, 0x36, 
	0x63, 0x63, 0x36, 0x1c, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 27
 * char:  9
 */
	0x00, 0x1c, 0x36, 0x63, 0x63, 0x63, 0x37, 0x1b, 
	0x03, 0x63, 0x66, 0x3c, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 28
 * char:  :
 */
	0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x18, 0x00, 
	0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 29
 * char:  ;
 */
	0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x18, 0x00, 
	0x00, 0x00, 0x18, 0x18, 0x08, 0x18, 0x10, 0x00,
/*
 * entry: 30
 * char:  <
 */
	0x00, 0x01, 0x03, 0x06, 0x0c, 0x18, 0x30, 0x18, 
	0x0c, 0x06, 0x03, 0x01, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 31
 * char:  =
 */
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7f, 0x00, 
	0x7f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 32
 * char:  >
 */
	0x00, 0x40, 0x60, 0x30, 0x18, 0x0c, 0x06, 0x0c, 
	0x18, 0x30, 0x60, 0x40, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 33
 * char:  ?
 */
	0x00, 0x1c, 0x36, 0x63, 0x63, 0x06, 0x0c, 0x18, 
	0x18, 0x00, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 34
 * char:  @
 */
	0x00, 0x00, 0x1e, 0x33, 0x6f, 0x7b, 0x7b, 0x6f, 
	0x66, 0x30, 0x1f, 0x00, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 35
 * char:  A
 */
	0x00, 0x1c, 0x36, 0x63, 0x63, 0x63, 0x7f, 0x63, 
	0x63, 0x63, 0x63, 0x63, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 36
 * char: B 
 */
	0x00, 0x78, 0x6c, 0x66, 0x66, 0x6c, 0x7e, 0x67, 
	0x63, 0x63, 0x66, 0x7c, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 37
 * char:  C
 */
	0x00, 0x1e, 0x33, 0x63, 0x60, 0x60, 0x60, 0x60, 
	0x60, 0x63, 0x33, 0x1e, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 38
 * char:  D
 */
	0x00, 0x7c, 0x66, 0x63, 0x63, 0x63, 0x63, 0x63, 
	0x63, 0x63, 0x66, 0x7c, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 39
 * char:  E
 */
	0x00, 0x7f, 0x60, 0x60, 0x60, 0x60, 0x7c, 0x60, 
	0x60, 0x60, 0x60, 0x7f, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 40
 * char:  F
 */
	0x00, 0x7f, 0x60, 0x60, 0x60, 0x60, 0x7c, 0x60, 
	0x60, 0x60, 0x60, 0x60, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 41
 * char:  G
 */
	0x00, 0x1c, 0x36, 0x63, 0x60, 0x60, 0x60, 0x6f, 
	0x63, 0x63, 0x36, 0x1c, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 42
 * char:  H
 */
	0x00, 0x63, 0x63, 0x63, 0x63, 0x63, 0x7f, 0x63, 
	0x63, 0x63, 0x63, 0x63, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 43
 * char:  I
 */
	0x00, 0x3f, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 
	0x0c, 0x0c, 0x0c, 0x3f, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 44
 * char:  J
 */
	0x00, 0x1f, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 
	0x06, 0x66, 0x7c, 0x38, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 45
 * char:  K
 */
	0x00, 0x63, 0x66, 0x66, 0x6c, 0x7c, 0x78, 0x7c, 
	0x6c, 0x66, 0x66, 0x63, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 46
 * char:  L
 */
	0x00, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 
	0x60, 0x60, 0x60, 0x7f, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 47
 * char:  M
 */
	0x00, 0x63, 0x77, 0x77, 0x7f, 0x7f, 0x6b, 0x6b, 
	0x63, 0x63, 0x63, 0x63, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 48
 * char:  N
 */
	0x00, 0x63, 0x63, 0x73, 0x73, 0x7b, 0x6b, 0x6f, 
	0x67, 0x67, 0x63, 0x63, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 49
 * char:  O
 */
	0x00, 0x1c, 0x36, 0x63, 0x63, 0x63, 0x63, 0x63, 
	0x63, 0x63, 0x36, 0x1c, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 50
 * char:  P
 */
	0x00, 0x7c, 0x66, 0x63, 0x63, 0x66, 0x7c, 0x60, 
	0x60, 0x60, 0x60, 0x60, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 51
 * char:  Q
 */
	0x00, 0x1c, 0x36, 0x63, 0x63, 0x63, 0x63, 0x63, 
	0x7b, 0x6f, 0x36, 0x1e, 0x03, 0x01, 0x00, 0x00,
/*
 * entry: 52
 * char:  R
 */
	0x00, 0x7c, 0x66, 0x63, 0x63, 0x66, 0x7c, 0x6c, 
	0x66, 0x66, 0x63, 0x63, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 53
 * char:  S
 */
	0x00, 0x1c, 0x36, 0x63, 0x63, 0x30, 0x1c, 0x06, 
	0x63, 0x63, 0x36, 0x1c, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 54
 * char:  T
 */
	0x00, 0xff, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
	0x18, 0x18, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 55
 * char:  U
 */
	0x00, 0x63, 0x63, 0x63, 0x63, 0x63, 0x63, 0x63, 
	0x63, 0x63, 0x36, 0x1c, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 56
 * char:  V
 */
	0x00, 0x63, 0x63, 0x63, 0x36, 0x36, 0x36, 0x1c, 
	0x1c, 0x1c, 0x08, 0x08, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 57
 * char:  W
 */
	0x00, 0x63, 0x63, 0x63, 0x63, 0x6b, 0x6b, 0x6b, 
	0x6b, 0x7f, 0x36, 0x22, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 58
 * char:  X
 */
	0x00, 0xc3, 0x66, 0x66, 0x3c, 0x3c, 0x18, 0x3c, 
	0x3c, 0x66, 0x66, 0xc3, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 59
 * char:  Y
 */
	0x00, 0xc3, 0xc3, 0x66, 0x66, 0x3c, 0x18, 0x18, 
	0x18, 0x18, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 60
 * char:  Z
 */
	0x00, 0x7f, 0x03, 0x06, 0x06, 0x0c, 0x1c, 0x18, 
	0x30, 0x30, 0x60, 0x7f, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 61
 * char:  [
 */
	0x00, 0x1e, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
	0x18, 0x18, 0x18, 0x18, 0x18, 0x1e, 0x00, 0x00,
/*
 * entry: 62
 * char:  /
 */
	0x00, 0x60, 0x30, 0x30, 0x18, 0x18, 0x0c, 0x0c, 
	0x06, 0x06, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 63
 * char:  [
 */
	0x00, 0x3c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 
	0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x3c, 0x00, 0x00,
/*
 * entry: 64
 * char:  ^
 */
	0x00, 0x08, 0x1c, 0x36, 0x63, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 65
 * char:  _
 */
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0x00,
/*
 * entry: 66
 * char:  `
 */
	0x00, 0x18, 0x18, 0x10, 0x18, 0x08, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 67
 * char:  a
 */
	0x00, 0x00, 0x00, 0x00, 0x1e, 0x33, 0x03, 0x1f, 
	0x33, 0x63, 0x37, 0x1d, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 68
 * char: b 
 */
	0x00, 0x60, 0x60, 0x60, 0x6c, 0x76, 0x63, 0x63, 
	0x63, 0x63, 0x76, 0x5c, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 69
 * char:  c
 */
	0x00, 0x00, 0x00, 0x00, 0x1e, 0x33, 0x61, 0x60, 
	0x60, 0x61, 0x33, 0x1e, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 70
 * char:  d
 */
	0x00, 0x03, 0x03, 0x03, 0x1b, 0x37, 0x63, 0x63, 
	0x63, 0x63, 0x37, 0x1d, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 71
 * char:  e
 */
	0x00, 0x00, 0x00, 0x00, 0x1c, 0x36, 0x63, 0x7f, 
	0x60, 0x61, 0x33, 0x1e, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 72
 * char:  f
 */
	0x00, 0x1e, 0x3b, 0x33, 0x30, 0x7c, 0x30, 0x30, 
	0x30, 0x30, 0x30, 0x30, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 73
 * char:  g
 */
	0x00, 0x00, 0x00, 0x00, 0x1d, 0x37, 0x63, 0x63, 
	0x63, 0x37, 0x1b, 0x03, 0x63, 0x36, 0x1c, 0x00,
/*
 * entry: 74
 * char:  h
 */
	0x00, 0x60, 0x60, 0x60, 0x6c, 0x76, 0x63, 0x63, 
	0x63, 0x63, 0x63, 0x63, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 75
 * char:  i
 */
	0x00, 0x0c, 0x0c, 0x00, 0x1c, 0x0c, 0x0c, 0x0c, 
	0x0c, 0x0c, 0x0c, 0x1e, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 76
 * char:  j
 */
	0x00, 0x06, 0x06, 0x00, 0x0e, 0x06, 0x06, 0x06, 
	0x06, 0x06, 0x06, 0x66, 0x66, 0x66, 0x3c, 0x00,
/*
 * entry: 77
 * char:  k
 */
	0x00, 0x60, 0x60, 0x60, 0x62, 0x66, 0x6c, 0x78, 
	0x78, 0x6c, 0x66, 0x63, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 78
 * char:  l
 */
	0x00, 0x1c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 
	0x0c, 0x0c, 0x0c, 0x1e, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 79
 * char:  m
 */
	0x00, 0x00, 0x00, 0x00, 0x76, 0x7f, 0x6b, 0x6b, 
	0x6b, 0x6b, 0x63, 0x63, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 80
 * char:  n
 */
	0x00, 0x00, 0x00, 0x00, 0x5c, 0x76, 0x63, 0x63, 
	0x63, 0x63, 0x63, 0x63, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 81
 * char:  o
 */
	0x00, 0x00, 0x00, 0x00, 0x1c, 0x36, 0x63, 0x63, 
	0x63, 0x63, 0x36, 0x1c, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 82
 * char:  p
 */
	0x00, 0x00, 0x00, 0x00, 0x5c, 0x76, 0x63, 0x63, 
	0x63, 0x63, 0x76, 0x6c, 0x60, 0x60, 0x60, 0x00,
/*
 * entry: 83
 * char:  q
 */
	0x00, 0x00, 0x00, 0x00, 0x3c, 0x6e, 0xc6, 0xc6, 
	0xc6, 0xc6, 0x6e, 0x36, 0x06, 0x06, 0x06, 0x00,
/*
 * entry: 84
 * char:  r
 */
	0x00, 0x00, 0x00, 0x00, 0x5e, 0x73, 0x63, 0x60, 
	0x60, 0x60, 0x60, 0x60, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 85
 * char:  s
 */
	0x00, 0x00, 0x00, 0x00, 0x3e, 0x63, 0x61, 0x38, 
	0x0e, 0x43, 0x63, 0x3e, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 86
 * char:  t
 */
	0x00, 0x08, 0x18, 0x18, 0x3e, 0x18, 0x18, 0x18, 
	0x18, 0x18, 0x1b, 0x0e, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 87
 * char:  u
 */
	0x00, 0x00, 0x00, 0x00, 0x63, 0x63, 0x63, 0x63, 
	0x63, 0x63, 0x37, 0x1d, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 88
 * char:  v
 */
	0x00, 0x00, 0x00, 0x00, 0x63, 0x63, 0x63, 0x36, 
	0x36, 0x1c, 0x1c, 0x08, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 89
 * char:  w
 */
	0x00, 0x00, 0x00, 0x00, 0x63, 0x63, 0x63, 0x6b, 
	0x6b, 0x6b, 0x3e, 0x36, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 90
 * char:  x
 */
	0x00, 0x00, 0x00, 0x00, 0x63, 0x36, 0x3e, 0x1c, 
	0x1c, 0x3e, 0x36, 0x63, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 91
 * char:  y
 */
	0x00, 0x00, 0x00, 0x00, 0x63, 0x63, 0x63, 0x63, 
	0x63, 0x37, 0x1b, 0x03, 0x63, 0x36, 0x1c, 0x00,
/*
 * entry: 92
 * char:  z
 */
	0x00, 0x00, 0x00, 0x00, 0x7f, 0x03, 0x06, 0x0c, 
	0x18, 0x30, 0x60, 0x7f, 0x00, 0x00, 0x00, 0x00,
/*
 * entry: 93
 * char:  {
 */
	0x00, 0x07, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x38, 
	0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x07, 0x00, 0x00,
/*
 * entry: 94
 * char:  |
 */
	0x00, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x00, 
	0x00, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x00,
/*
 * entry: 95
 * char:  }
 */
	0x00, 0x70, 0x18, 0x18, 0x18, 0x18, 0x18, 0x0e, 
	0x18, 0x18, 0x18, 0x18, 0x18, 0x70, 0x00, 0x00,
/*
 * entry: 96
 * char:  ~
 */
	0x00, 0x00, 0x73, 0xdb, 0xce, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
};
