
#ifdef  __STDC__
#define EXT(x)  _ ## x
#define LEXT(x) _ ## x ## :
#define DEXT(x) _. ## x
#define DLEXT(x) _. ## x ## :
#else __STDC__
#define EXT(x)  _/**/x
#define LEXT(x) _/**/x/**/:
#define DEXT(x) _./**/x
#define DLEXT(x) _./**/x/**/:
#endif __STDC__

#ifdef SMALL
#define ENTNAME(x)
#else
#define ENTNAME(x) .ascii __STRING(<x>);.align 2
#endif

#define ENTRY(x)        .globl EXT(x); .globl DEXT(x); .align 2; \
			LEXT(x) .long DEXT(x); ENTNAME(x); DLEXT(x)
#define ASENTRY(x)	ENTNAME(x); x

#ifndef	eye_catcher
#define eye_catcher(name) .ascii "<name>";.align 2; name
#endif

 #
 #  System Register equates:
 #
#define scr_ctrsrc	 r6		/* system control reg: counter src */
#define scr_ctr		 r7		/* counter */
#define scr_ts		 r8		/* timer status */
#define scr_ecr		 r9		/* exception control register */
#define scr_mq		 r10		/* multiplier/quotient */
#define scr_mcspcs	 r11		/* machine check/program check stat. */
#define scr_irb		 r12		/* interrupt request buffer */
#define scr_iar		 r13		/* instruction address register */
#define scr_ics		 r14		/* interrupt control status */
#define scr_cs		 r15		/* condition status */

 # r perie stg-prot prob-state transl-mode int-mask chkstp-mask reg r pri

 #000  0     1          0          1          0         1       000 0 000
.set TRANS_ICS , 0x0A80               # translate mode on
 #000  0     0          0          0          0         1       000 0 000
.set NOTRANS_ICS , 0x0080             # translate mode off
 #000  0     0          0          0          1         0       000 0 000
.set INTMASK_ICS , 0x0100             # interrupts masked
 #000  0     0          1          0          0         0       000 0 000
.set PROBSTATE_ICS	, 0x0400	# problem state, level 0

.set PROBSTATE	, 21		# ICS bit number for problem state
.set INTMASK	, 23		# ICS bit number for interrupt mask
.set INSTSTEP	, 28		# ICS bit number for simulated inst step
.set TRANS	, 22		# ICS bit number for translate mode

/*
 *	Where things get saved on the stack during a trap.
 */

.set FAULT_R0 , -4
.set FAULT_R1      , 1*4 + FAULT_R0
.set FAULT_R2      , 2*4 + FAULT_R0
.set FAULT_R10     ,10*4 + FAULT_R0
.set FAULT_R11     ,11*4 + FAULT_R0
.set FAULT_R12     ,12*4 + FAULT_R0
.set FAULT_R15     ,15*4 + FAULT_R0
.set FAULT_IAR     , 1*4 + FAULT_R15
.set FAULT_MQ      , 2*4 + FAULT_R15
.set FAULT_ICS_CS , 33*4 + FAULT_R0

#ifdef	ROMP_APC
.set FAULT_CNT     , 3*4 + FAULT_R15	/* count of exceptions */
.set FAULT_EX1     , 4*4 + FAULT_R15	/* four words for exception */
.set FAULT_EX2     , 8*4 + FAULT_R15	/* four words for exception */
.set FAULT_GSR1	   , 12*4 + FAULT_R15	/* one word for IOIM1 GSR */
.set FAULT_REP1	   , 13*4 + FAULT_R15	/* one word for IOIM1 reply */
.set FAULT_GSR2	   , 14*4 + FAULT_R15	/* one word for IOIM2 GSR */
.set FAULT_REP2	   , 15*4 + FAULT_R15	/* one word for IOIM2 reply */
#endif	/* ROMP_APC */

.set FAULTSAVE     , 4 + FAULT_ICS_CS   # size of stack area needed
				 	# for parameters to trap
