
#include <sys/cdefs.h>

#ifdef  __STDC__
#define EXT(x)  _ ## x
#define LEXT(x) _ ## x ## :
#define DEXT(x) _. ## x
#define DLEXT(x) _. ## x ## :
#else __STDC__
#define EXT(x)  _/**/x
#define LEXT(x) _/**/x/**/:
#define DEXT(x) _./**/x
#define DLEXT(x) _./**/x/**/:
#endif __STDC__

#ifdef SMALL
#define ENTNAME(x)
#else
#define ENTNAME(x) .ascii __STRING(<x>);.align 2
#endif

#define ENTRY(x)        .globl EXT(x); .globl DEXT(x); .align 2; \
			LEXT(x) .long DEXT(x); ENTNAME(x); DLEXT(x)
#define ASENTRY(x)	ENTNAME(x); x


 #
 #  System Register equates:
 #
#define scr_ctrsrc	 r6		/* system control reg: counter src */
#define scr_ctr		 r7		/* counter */
#define scr_ts		 r8		/* timer status */
#define scr_ecr		 r9		/* exception control register */
#define scr_mq		 r10		/* multiplier/quotient */
#define scr_mcspcs	 r11		/* machine check/program check stat. */
#define scr_irb		 r12		/* interrupt request buffer */
#define scr_iar		 r13		/* instruction address register */
#define scr_ics		 r14		/* interrupt control status */
#define scr_cs		 r15		/* condition status */

