
/* RT keymaps.  Indexed by keyboard scan value.
 * Note: a value of 0 means the key either isnt defined or
 * currently supported.
 */

char kbd_keymap[]  = {
    0,		/*   0 0x00	*/
    0,		/*   1 0x01	*/
    0,		/*   2 0x02	*/
    0,		/*   3 0x03	*/
    0,		/*   4 0x04	*/
    0,		/*   5 0x05	*/
    0,		/*   6 0x06	*/
    0,		/*   7 0x07 f1	*/
    '\33',	/*   8 0x08	*/
    0,		/*   9 0x09	*/
    0,		/*  10 0x0a	*/
    0,		/*  11 0x0b	*/
    0,		/*  12 0x0c	*/
    '\t',	/*  13 0x0d	*/
    '`',	/*  14 0x0e	*/
    0,		/*  15 0x0f f2	*/
    0,		/*  16 0x10	*/
    0,		/*  17 0x11	*/
    0,		/*  18 0x12	*/
    '<',	/*  19 0x13	*/
    0,		/*  20 0x14	*/
    'q',	/*  21 0x15	*/
    '1',	/*  22 0x16	*/
    0,		/*  23 0x17 f3 	*/
    0,		/*  24 0x18	*/
    0,		/*  25 0x19	*/
    'z',	/*  26 0x1a	*/
    's',	/*  27 0x1b	*/
    'a',	/*  28 0x1c	*/
    'w',	/*  29 0x1d	*/
    '2',	/*  30 0x1e	*/
    0,		/*  31 0x1f f4	*/
    0,		/*  32 0x20	*/
    'c',	/*  33 0x21	*/
    'x',	/*  34 0x22	*/
    'd',	/*  35 0x23	*/
    'e',	/*  36 0x24	*/
    '4',	/*  37 0x25	*/
    '3',	/*  38 0x26	*/
    0,		/*  39 0x27 f5	*/
    0,		/*  40 0x28	*/
    '\40',	/*  41 0x29	*/
    'v',	/*  42 0x2a	*/
    'f',	/*  43 0x2b	*/
    't',	/*  44 0x2c	*/
    'r',	/*  45 0x2d	*/
    '5',	/*  46 0x2e	*/
    0,		/*  47 0x2f f6	*/
    0,		/*  48 0x30	*/
    'n',	/*  49 0x31	*/
    'b',	/*  50 0x32	*/
    'h',	/*  51 0x33	*/
    'g',	/*  52 0x34	*/
    'y',	/*  53 0x35	*/
    '6',	/*  54 0x36	*/
    0,		/*  55 0x37 f7	*/
    0,		/*  56 0x38	*/
    0,		/*  57 0x39	*/
    'm',	/*  58 0x3a	*/
    'j',	/*  59 0x3b	*/
    'u',	/*  60 0x3c	*/
    '7',	/*  61 0x3d	*/
    '8',	/*  62 0x3e	*/
    0,		/*  63 0x3f f8	*/
    0,		/*  64 0x40	*/
    ',',	/*  65 0x41	*/
    'k',	/*  66 0x42	*/
    'i',	/*  67 0x43	*/
    'o',	/*  68 0x44	*/
    '0',	/*  69 0x45	*/
    '9',	/*  70 0x46	*/
    0,		/*  71 0x47 f9	*/
    0,		/*  72 0x48	*/
    '.',	/*  73 0x49	*/
    '/',	/*  74 0x4a	*/
    'l',	/*  75 0x4b	*/
    ';',	/*  76 0x4c	*/
    'p',	/*  77 0x4d	*/
    '-',	/*  78 0x4e	*/
    0,		/*  79 0x4f f10	*/
    0,		/*  80 0x50	*/
    0,		/*  81 0x51	*/
    '\'',	/*  82 0x52	*/
    0,		/*  83 0x53	*/
    '[',	/*  84 0x54	*/
    '=',	/*  85 0x55	*/
    0,		/*  86 0x56 f11 */
    0,		/*  87 0x57	*/
    0,		/*  88 0x58	*/
    0,		/*  89 0x59	*/
    '\r',	/*  90 0x5a	*/
    ']',	/*  91 0x5b	*/
    '\\',	/*  92 0x5c	*/
    0,		/*  93 0x5d	 */
    0,		/*  94 0x5e	 f12 */
    0,		/*  95 0x5f	 */
    0,		/*  96 0x60	 down arrow */
    0,		/*  97 0x61	 left arrow */
    0,		/*  98 0x62	 */
    0,		/*  99 0x63	 up arrow */
    '\177',	/* 100 0x64	 */
    0,		/* 101 0x65	 end */
    '\b',	/* 102 0x66	 */
    '\0',	/* 103 0x67	 ins */
    0,		/* 104 0x68	 */
    '1',	/* 105 0x69	 */
    0,		/* 106 0x6a	 right arrow */
    '4',	/* 107 0x6b	 */
    '7',	/* 108 0x6c	 */
    0,		/* 109 0x6d	 page down */
    0,		/* 110 0x6e	 home */
    0,		/* 111 0x6f	 page up */
    '0',	/* 112 0x70	 */
    '.',	/* 113 0x71	 */
    '2',	/* 114 0x72	 */
    '5',	/* 115 0x73	 */
    '6',	/* 116 0x74	 */
    '8',	/* 117 0x75	 */
    0,		/* 118 0x76	 */
    '/',	/* 119 0x77	 */
    0,		/* 120 0x78	 */
    '\r',	/* 121 0x79	 enter key */
    '3',	/* 122 0x7a	 */
    0,		/* 123 0x7b	 */
    '+',	/* 124 0x7c	 */
    '9',	/* 125 0x7d	 */
    '*',	/* 126 0x7e	 */
    0,		/* 127 0x7f	 */
    0,		/* 128 0x80	 */
    0,		/* 129 0x81	 */
    0,		/* 130 0x82	 */
    0,		/* 131 0x83	 */
    '-',	/* 132 0x84	 */
};

char kbd_shiftmap[]  = {
    0,		/*   0 0x00	*/
    0,		/*   1 0x01	*/
    0,		/*   2 0x02	*/
    0,		/*   3 0x03	*/
    0,		/*   4 0x04	*/
    0,		/*   5 0x05	*/
    0,		/*   6 0x06	*/
    0,		/*   7 0x07 f1	*/
    '\33',	/*   8 0x08	*/
    0,		/*   9 0x09	*/
    0,		/*  10 0x0a	*/
    0,		/*  11 0x0b	*/
    0,		/*  12 0x0c	*/
    '\b',	/*  13 0x0d	*/
    '~',	/*  14 0x0e	*/
    0,		/*  15 0x0f f2	*/
    0,		/*  16 0x10	*/
    0,		/*  17 0x11	*/
    0,		/*  18 0x12	*/
    '>',	/*  19 0x13	*/
    0,		/*  20 0x14	*/
    'Q',	/*  21 0x15	*/
    '!',	/*  22 0x16	*/
    0,		/*  23 0x17 f3 	*/
    0,		/*  24 0x18	*/
    0,		/*  25 0x19	*/
    'Z',	/*  26 0x1a	*/
    'S',	/*  27 0x1b	*/
    'A',	/*  28 0x1c	*/
    'W',	/*  29 0x1d	*/
    '@',	/*  30 0x1e	*/
    0,		/*  31 0x1f f4	*/
    0,		/*  32 0x20	*/
    'c',	/*  33 0x21	*/
    'x',	/*  34 0x22	*/
    'D',	/*  35 0x23	*/
    'E',	/*  36 0x24	*/
    '$',	/*  37 0x25	*/
    '#',	/*  38 0x26	*/
    0,		/*  39 0x27 f5	*/
    0,		/*  40 0x28	*/
    '\40',	/*  41 0x29	*/
    'V',	/*  42 0x2a	*/
    'F',	/*  43 0x2b	*/
    'T',	/*  44 0x2c	*/
    'R',	/*  45 0x2d	*/
    '%',	/*  46 0x2e	*/
    0,		/*  47 0x2f f6	*/
    0,		/*  48 0x30	*/
    'N',	/*  49 0x31	*/
    'B',	/*  50 0x32	*/
    'H',	/*  51 0x33	*/
    'G',	/*  52 0x34	*/
    'Y',	/*  53 0x35	*/
    '^',	/*  54 0x36	*/
    0,		/*  55 0x37 f7	*/
    0,		/*  56 0x38	*/
    0,		/*  57 0x39	*/
    'M',	/*  58 0x3a	*/
    'J',	/*  59 0x3b	*/
    'U',	/*  60 0x3c	*/
    '&',	/*  61 0x3d	*/
    '*',	/*  62 0x3e	*/
    0,		/*  63 0x3f f8	*/
    0,		/*  64 0x40	*/
    '<',	/*  65 0x41	*/
    'K',	/*  66 0x42	*/
    'I',	/*  67 0x43	*/
    'O',	/*  68 0x44	*/
    ')',	/*  69 0x45	*/
    '(',	/*  70 0x46	*/
    0,		/*  71 0x47 f9	*/
    0,		/*  72 0x48	*/
    '>',	/*  73 0x49	*/
    '?',	/*  74 0x4a	*/
    'L',	/*  75 0x4b	*/
    ':',	/*  76 0x4c	*/
    'P',	/*  77 0x4d	*/
    '_',	/*  78 0x4e	*/
    0,		/*  79 0x4f f10	*/
    0,		/*  80 0x50	*/
    0,		/*  81 0x51	*/
    '"',	/*  82 0x52	*/
    0,		/*  83 0x53	*/
    '{',	/*  84 0x54	*/
    '+',	/*  85 0x55	*/
    0,		/*  86 0x56 f11 */
    0,		/*  87 0x57	*/
    0,		/*  88 0x58	*/
    0,		/*  89 0x59	*/
    '\r',	/*  90 0x5a	*/
    '}',	/*  91 0x5b	*/
    '|',	/*  92 0x5c	*/
    0,		/*  93 0x5d	 */
    0,		/*  94 0x5e	 f12 */
    0,		/*  95 0x5f	 */
    0,		/*  96 0x60	 down arrow */
    0,		/*  97 0x61	 left arrow */
    0,		/*  98 0x62	 */
    0,		/*  99 0x63	 up arrow */
    '\177',	/* 100 0x64	 */
    0,		/* 101 0x65	 end */
    '\b',	/* 102 0x66	 */
    '\0',	/* 103 0x67	 ins */
    0,		/* 104 0x68	 */
    '1',	/* 105 0x69	 keypad-1 */
    0,		/* 106 0x6a	 right arrow */
    '4',	/* 107 0x6b	 keypad-2 */
    '7',	/* 108 0x6c	 keypad-7 */
    0,		/* 109 0x6d	 page down */
    0,		/* 110 0x6e	 home */
    0,		/* 111 0x6f	 page up */
    '0',	/* 112 0x70	 keypad-0 */
    '.',	/* 113 0x71	 keypad-. */
    '2',	/* 114 0x72	 keypad-2 */
    '5',	/* 115 0x73	 keypad-5 */
    '6',	/* 116 0x74	 keypad-6 */
    '8',	/* 117 0x75	 keypad-8 */
    0,		/* 118 0x76	 */
    '/',	/* 119 0x77	 */
    0,		/* 120 0x78	 */
    '\r',	/* 121 0x79	 enter key */
    '3',	/* 122 0x7a	 keypad-3 */
    0,		/* 123 0x7b	 */
    '+',	/* 124 0x7c	 keypad-+ */
    '9',	/* 125 0x7d	 keypad-9 */
    '*',	/* 126 0x7e	 keypad-* */
    0,		/* 127 0x7f	 */
    0,		/* 128 0x80	 */
    0,		/* 129 0x81	 */
    0,		/* 130 0x82	 */
    0,		/* 131 0x83	 */
    '-',	/* 132 0x84	 keypad-- */
};
