;static char rcsid[] = "$Header: /usr/src/usr.ibm/RCS/fdformat.c,v 1.2 1993/10/31 20:39:05 md Exp $";
#ifndef lint
static char sccsid[] = "@(#)rxformat.c	4.5 (Berkeley) 8/11/83";
#endif

#include <stdio.h>
#include <sys/file.h>
#include <errno.h>
#include <rtio/fdio.h>
#define	r 0x72


/*
 * Format RX02 floppy disks.
 */

main(argc, argv)
	int argc;
	char *argv[];
{
	char *devname;
	int fd, idens = 0, filarg = 1;

	if (argc < 2)
		usage();
	if (argc == 3) { 
		if (strncmp(argv[1],"-h",2) != 0)
			usage();
		idens++;
		filarg++;
	}
	devname=argv[filarg];

	if ((fd = open(devname, FDO_FORMAT)) < NULL) {
		perror(devname);
		exit (0);
	}
	printf("Format %s to", devname);
	if (idens)
		printf(" high density diskette?");
	else
		printf(" low density diskette?");
	if (getchar() != 'y')
		exit (0);
	/* 
	 * Change the ioctl command when dkio.h has
	 * been finished.
	 */
	if (ioctl(fd, FDIOC_FORMAT, &idens) != NULL)
		perror(devname);
	close (fd);
}

usage()
{
	fprintf(stderr, "usage: fdformat [-h] /dev/fd?\n");
	exit (0);
}
