.H 1 "INTRODUCTION"
In February 1988, I was employed by the UTC at Chalmers University of
Technology (CTH). UTC is a support organisation for the Andrew system
at CTH. One of the first things that had to be done was to bring life
to some kind of backup system. The trouble was that IBM didn't (and
doesn't) have any good backup storage drives. The only tape running on
the RT/PC was the IBM 6157 streaming tape.  One such tape contains a
maximum of 60Mb. Considering the volume of data on our fileservers
(5.5Gb) that unit was quickly ruled out.
.P
After some market investigation we decided to buy 2 Pertec CS240
streaming 3480 cartridge tape stations that had a SCSI connection. IBM
had a SCSI card and a disk driver so we planned to write a tape driver
as an add-on to the existing driver. A slight problem popped up shortly
after ordering the tapes, the IBM host adapter used differential SCSI
whilst most SCSI products on the market used single-ended SCSI. This
was solved with a pair of Rancho RT-SDA SCSI converter cards.
.P
While we waited for the delivery of the tape stations, I had a look at
the IBM driver for their 9332 disks. The first look was a slight shock
\- the driver filled about 75 A4 sized papers. After a closer look I
found that it would be hard to convert that disk driver into a driver
that could support both tapes and disks, since there were no natural
(or easily seen) division between code dependent on the disk and code
dependent on the host adapter. Therefore we soon decided to buy another
host adapter for interfacing the tape and writing a tape driver for
that card.
.P
An obvious problem arose: When (not if) we want to have more disk space
on our file servers, just 2 SCSI cards with one only serving the tape
just won't get us very far. It is only possible to have a maximum of 2
IBM SCSI cards per machine since there are only 2 register addresses to
choose between.  We also would like to have 2 file servers connected to
the same disks (and tape) for redundancy reasons. This was and still is
impossible with the IBM SCSI card since their card is
.I hardwired
at SCSI address 7 \- no DIP switches.
.P
The alternative was to find another SCSI card from elsewhere to connect
to the RT's AT-bus. Finding such a card was easy, actually using the
card of our choice was a painful experience, more on that below.
.P
Meanwhile, Chalmers had set up some 1000 student accounts into our
Andrew system and disk space became a desperate problem.  A good
solution to that seemed to be to buy a pile of inexpensive SCSI disks
and connecting them to the existing SCSI bus.
