#include "dk.h"

dk_posterror(int dkfd, int post)
{
    struct scsi_msel_cdb mscdb, *mscdbp=&mscdb;

    struct scsi_msel4
    {
	u_char sms_resvd[3];
	u_char sms_bdl;
    };

    struct scsi_mspost
    {
	struct scsi_msel4 msel4;
	struct scsi_mserppage erp;
    } mspost;

    bzero(mscdbp,sizeof *mscdbp);
    mscdbp->sc_lun = 0; /* Should be filled by the device driver */
    mscdbp->sc_op = SC0_MODE_SELECT;
    mscdbp->sc_pf = 1;   /* Page format OK */

    mscdbp->sc_pmlen = (sizeof mspost.msel4) + 3;


	bzero(&mspost, sizeof mspost);

	mspost.erp.erp_pcode = 1;
	mspost.erp.erp_plen = 1;
	mspost.erp.erp_tb = 1;
	mspost.erp.erp_per = post;
	mspost.erp.erp_dte = post;
        mspost.erp.erp_dcr = 0;


    if(ioctl(dkfd, DKIOCSSCSI, (char *) mscdbp) < 0)
    {
        perror("Post select IOCTL:");
        exit(1);
    }
    if(write(dkfd, (char *) &mspost, sizeof(mspost)) < 0)
    {
        perror("Post select Write:");
        exit(1);
    }
}
