#include "dk.h"

mt_setdens(int dcode)
{
ret = ioctl(dkfd, DKIOCSMODESENSE,&mtms);
if (ret < 0) {
	fprintf(stderr, "%s %s", disk, comp->c_name);
	perror(" failed ");
	exit(2);
}
mtms.sm_length = 0;
mtms.sm_wp=0;
mtms.sm_speed=0;
mtms.sm_bdarr[0].sbd_density=dcode;
printf("Setting density code=%X\n",dcode);
ret = ioctl(dkfd, DKIOCSMODESELECT,&mtms);
if (ret < 0) {
	fprintf(stderr, "%s %s", disk, comp->c_name);
	perror(" failed ");
	exit(2);
}
ret = ioctl(dkfd, DKIOCSMODESENSE,&mtms);
if (ret < 0) {
        fprintf(stderr, "%s %s", disk, comp->c_name);
        perror(" failed ");
        exit(2);
}
printf(" Mode sense AFTER mode select \n");
print_modesense(&mtms);
}
