#include "dk.h"

mt_setdens(int dcode, int blklen)
{
    char *p=(char *)&mtms;

    ret = ioctl(dkfd, DKIOCSMODESENSE,&mtms);
    if (ret < 0) {
	fprintf(stderr, "%s %s", disk, comp->c_name);
	perror(" failed ");
	exit(2);
    }
    mtms.sm_length = 0;
    mtms.sm_wp=0;
    mtms.sm_speed=0;
    mtms.sm_bdarr[0].sbd_density=dcode;
    mtms.sm_bdarr[0].sbd_blklen=blklen;
    mtms.sm_bdl=8;

/*
    *(p+12) = 0x01;
    *(p+13) = 0x06;
    *(p+14) |= 0x01;
*/

    printf("Setting density code=0x%x, blklen=%d\n", dcode, blklen);

    ret = ioctl(dkfd, DKIOCSMODESELECT,&mtms);
    if (ret < 0) {
	/* fprintf(stderr, "%s %s", disk, comp->c_name); */
	perror(" failed ");
	exit(2);
    }

    ret = ioctl(dkfd, DKIOCSMODESENSE,&mtms);
    if (ret < 0) {
        fprintf(stderr, "%s %s", disk, comp->c_name);
        perror(" failed ");
        exit(2);
    }
    printf("Mode sense AFTER mode select \n");
    print_modesense(&mtms);
}
