#!/bin/bsh
# # @(#)31        1.1  R2/sysx/disk/enhancements/reject_scsi2.sh, sysxdisk, bos320, 9230320a 7/24/92 09:46:38#
#
# COMPONENT_NAME: (SYSXDISK)
#
# FUNCTIONS: reject_scsi2
#                                                                    
# ORIGINS: 27 
#
# (C) COPYRIGHT International Business Machines Corp. 1992
# All Rights Reserved
# Licensed Material - Property of IBM
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#                                                                    


# Reject Selective Enhancement of new IBM disks and convert them to 
# osdisks (OEM) disks
/usr/lpp/bos/_scdisk_/convert_scdisk disk/scsi/200mb
/usr/lpp/bos/_scdisk_/convert_scdisk disk/scsi/1200mb

odmget -q "PdDvLn LIKE disk/scsi/*" CuDv|grep name |awk '{print $3}' |sed s/\"//g > /tmp/cmdq_choices

for i in `cat /tmp/cmdq_choices`
do
        odmdelete -q "name=$i AND attribute=queue_depth" -o CuAt
        odmdelete -q "name=$i AND attribute=q_type" -o CuAt
        odmdelete -q "name=$i AND attribute=q_err" -o CuAt
        odmdelete -q "name=$i AND attribute=clr_q" -o CuAt
        odmdelete -q "name=$i AND attribute=max_data_rate" -o CuAt
        odmdelete -q "name=$i AND attribute=data_rate" -o CuAt
done

/bin/rm -f /tmp/cmdq_choices

if [ -n "$INUCLIENTS" ]; then
        bosboot -a -d /dev/network	
 	savebase -d /etc/basecust
	exit 0
fi

SLASHHOST=`mount |tail +3 |sed -e "s/^ /-/" |
awk '{ if($3 == "/") print $1 }'`
USRHOST=`mount |tail +3 |sed -e "s/^ /-/" |
awk '{ if($3 == "/usr") print $1 }'`
if [ "$SLASHHOST" = "-" -a "$USRHOST" = "-" ]
then
	# if both / and /usr are local then
	# execute bosboot in the normal way.
	bosboot -a -d /dev/ipldevice
	exit $?
fi
if [ "$SLASHHOST" = "-" -a "$USRHOST" != "-" ]; then
	# if bos / is local and /usr is remote then
	# execute bosboot with the proto file for remote /usr
	bosboot -a -d /dev/ipldevice -p /usr/lib/boot/netdisk.proto
	exit $?
fi
#  ELSE don't execute a bosboot at this time.

exit  0
