#include <h/types.h>
#include <h/time.h>
#include <h/vnode.h>
#include <h/errno.h>
#include <rpc/types.h>
#include <nfs/nfs.h>
#include <nfs/rnode.h>

rnode
./"r_freef"16t"r_freeb"16t"r_hash"n{r_freef,X}{r_freeb,X}{r_hash,X}n
+/"r_vnode"
+$<<vnode{OFFSETOK}
+/"r_flags"8t"r_error"8t"r_lastr"16t"r_size"n{r_fh}{r_flags,x}{r_error,x}{r_lastr,X}{r_size,X}
+/"r_owner"8t"r_count"n{r_owner,x}{r_count,d}
+/"r_cred"16t"r_unlcred"16t"r_unlname"16t"r_unldvp"n{r_cred,X}{r_unlcred,X}{r_unlname,X}{r_unldvp,X}
+/"r_attr"
+$<<vattr{OFFSETOK}
+/"r_attrtime"16t{r_attrtime.tv_sec,Y}n{END}
