/*      @(#)rpc_com.h 1.16 91/01/15 SMI      */

/*
 * rpc_com.h, Common definitions for both the server and client side.
 * All for the topmost layer of rpc
 *
 * Copyright (C) 1988, Sun Microsystems, Inc.
 */

#ifndef _RPC_RPCCOM_H
#define _RPC_RPCCOM_H

/*
 * File descriptor to be used on xxx_create calls to get default descriptor
 */
#define	RPC_ANYSOCK	-1
#define RPC_ANYFD	RPC_ANYSOCK	
/*
 * The max size of the transport, if the size cannot be determined
 * by other means.
 */
#define MAXTR_BSIZE 9000

#ifdef __cplusplus
extern "C" u_int _rpc_get_t_size (int, long);
extern "C" u_int _rpc_get_a_size (long);
extern "C" int _rpc_dtbsize ();
extern "C" char *_rpc_gethostname ();
#elif c_plusplus
extern u_int _rpc_get_t_size (int, long);
extern u_int _rpc_get_a_size (long);
extern int _rpc_dtbsize ();
extern char *_rpc_gethostname ();
#elif __STDC__
extern u_int _rpc_get_t_size (int, long);
extern u_int _rpc_get_a_size (long);
extern int _rpc_dtbsize (void);
extern char *_rpc_gethostname (void);
#else
extern u_int _rpc_get_t_size ();
extern u_int _rpc_get_a_size ();
extern int _rpc_dtbsize ();
extern char *_rpc_gethostname ();
#endif

#endif /* _RPC_RPCCOM_H */
