/* @(#)config.hh 1.1 91/05/14 SMI */

/*
 * Copyright (c) 1988, Sun Microsystems, Inc.  All Rights Reserved. Sun
 * considers its source code as an unpublished, proprietary trade secret, and
 * it is available only under strict license provisions.  This copyright
 * notice is placed here only to protect Sun in the event the source is
 * deemed a published work.  Dissassembly, decompilation, or other means of
 * reducing the object code to human readable form is prohibited by the
 * license agreement under which this code is provided to the user or company
 * in possession of this copy.
 * 
 * RESTRICTED RIGHTS LEGEND: Use, duplication, or disclosure by the Government
 * is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the
 * Rights in Technical Data and Computer Software clause at DFARS 52.227-7013
 * and in similar clauses in the FAR and NASA FAR Supplement.
 * 
 * (C) Copyright 1987 Sun Microsystems, Inc. All rights reserved. This material
 * contains trade secret information of Sun Microsystems, Inc. Use,
 * reproduction, or disclosure is prohibited, except under a written license
 * by Sun Microsystems, Inc. Use of copyright notice is precautionary only
 * and does not imply publication or disclosure.
 */

/*
 * This module contains the global variable and macro definitions for the
 * library.
 */

#ifndef config_h
#define config_h

/*
 * number of forked processes
 */
#define XTI_MAX_THREADS 20
/*
 * number of open files
 */

#ifdef aix
#define XTI_NOFILE 256
#else
#define XTI_NOFILE NOFILE
#endif

#endif
