/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION  1986
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
/* $Header: /usr/src/sys.44l/rt/rt/RCS/clock.h,v 1.1 1988/12/09 22:45:53 md Exp md $ */
/* $ACIS:clock.h 12.0$ */
/* $Source: /usr/src/sys.44l/rt/rt/RCS/clock.h,v $ */

#if !defined(lint) && !defined(LOCORE) && defined(RCS_HDRS)
static char *rcsidclock = "$Header: /usr/src/sys.44l/rt/rt/RCS/clock.h,v 1.1 1988/12/09 22:45:53 md Exp md $";
#endif

/*     clock.h 6.1     83/07/29        */

#define MICROSECSEC 1000000		/* millisec per second */
#define SECMIN 60			/* seconds per minute */
#define SECHR (60 * 60)			/* seconds per hour */
#define SECDAY ((unsigned)(24*60*60))  /* seconds per day */
#define SECYR  ((unsigned)(365*SECDAY))  /* per common year */

#define YRREF  1970
#define LEAPYEAR(year) ((year)%4==0)  /* good till time becomes negative */

/*
 * Has the time-of-day clock wrapped around?
 */
#define clkwrap() (0)
