
/* macros for phys-io on the RT */

/* easy compatibility with x86 drivers */
#define RT_IO_BASE	0xf0000000
#define outb(port, d)		(*((char *)(RT_IO_BASE + (port))) = (d))
#define inb(port)		((char) (*((char *)(RT_IO_BASE + (port)))))
#define outw(port, d)		(*((short *)(RT_IO_BASE + (port))) = (int) (d))
#define inw(port)		((short) (*((short *)(RT_IO_BASE + (port)))))

/* macros assuming a complete address */
#define OUTB(port, d)		(*((char *)((port))) = (d))
#define INB(port)		((char) (*((char *)((port)))))
#define OUTW(port, d)		(*((short *)((port))) = (int) (d))
#define INW(port)		((short) (*((short *)((port)))))
