#define	spln(x)	\
		({ int __retval;  \
		   asm volatile("	  # spln()			\n \
			mfs	r14,r4	  # get the current status	\n \
			ni	r3,r4,-8  # get all but priority in r3	\n \
			o	r3,%1	  # overlay priority bits	\n \
			nilz	%0,r4,7	  # get only old priority bits	\n \
			mts	r14,r3	  # set new status" \
			: "=r" (__retval) 	/* output */\
			: "r" (x) 		/* input */ \
			: "r3", "r4", "r14"); 	/* destroyed registers */ \
		   __retval; });

#define	splx(x) \
		   asm volatile("	 # splx()			\n \
			nilz	%0,%0,7	 # get only low 3 bits		\n \
			mfs	r14,r3	 # get the current status	\n \
			ni	r3,r3,-8 # get all but priority in r3	\n \
			o	%0,r3	 # overlay priority bits	\n \
			mts	r14,%0	 # set new status" \
			: 			/* output */\
			: "r" (x) 		/* input */ \
			: "r3", "r14") 		/* destroyed registers */

main()
{
	int lvl;
	int val=5;

	splx(4);
	lvl=spln(val);
	printf("lvl=%d\n",lvl);
}
